{
  "name": "{{ agave.appsPrefix }}-bwa-mem-0.7.17-gf",
  "version": "0.1",
  "label": "BWA Mem",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/bwa-mem-0.7.17-gf-0.1",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "bwa-mem-0.7.17-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": false,
        "default": ""
      }
    },
    { "id": "reference",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "threads",
      "value": {
        "required": false,
        "default": 2,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}